##########################################
### Functions for General Vector model ###
##########################################

## Temperature dependent functions
Briere_curve <- function (c, tmin, tmax, temp, parm, ...) {
  if (parm == "biting_rate") {
  ## For now have the whole quadratic scaled by human population density
  ( c * temp * (temp - tmin) * (tmax - temp)^1/2 ) * sat_fun(R, a, h)
  } else if (parm == "EFD") {
  ## Repeat the same relationship for now, but could adjust later
  ( c * temp * (temp - tmin) * (tmax - temp)^1/2 ) * sat_fun(R, a, h)
  } else {
  c * temp * (temp - tmin) * (tmax - temp)^1/2 
  }
}
Quad_curve   <- function (c, tmin, tmax, temp, parm, ...) {
  ## No human pop density component in any of the quad curves yet, but leave the option open...
  if (parm == "XXXX") {
  c * -1 * (temp - tmin) * (temp - tmax)
  } else {
  c * -1 * (temp - tmin) * (temp - tmax)
  }
}
Linear_curve <- function (m, z, temp, ...) {
  m * temp + z
}

city_area <- function (pop_size, radius_rate) {
  city_radius <- pop_size ^ (1/radius_rate)
  city_area   <- pi * city_radius ^ 2 
  city_area
}

